package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ded;
import com.brilliance.isc.vo.domlc.DedWithPtsCbbResponseVo;
import com.brilliance.isc.vo.domlc.DetselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DedMapper {

    int insert(Ded record);

    int insertSelective(Ded record);

    int updateByPrimaryKeySelective(Ded record);

    int updateByPrimaryKey(Ded record);

    int deleteByPrimaryKey(Ded record);

    int deleteByIds(Collection<Object> collection);

    Ded selectByPrimaryKey(Ded record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ded> dyncRead(Map<String, Object> dyncMap);

    List<DedWithPtsCbbResponseVo> queryDed(DetselQueryVo detselQueryVo);

    Ded selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Ded selectByWhere(Ded record);

    String selectKzrefByWhere(@Param("ownref") String ownref);

    List<DedWithPtsCbbResponseVo> queryDedInfo(DetselQueryVo detselQueryVo);

    Ded selectByOwnref(String ownref);

}